hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sean Busbey (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-16281) Upgrade master branch to JDK8
Date Thu, 23 Mar 2017 14:49:41 GMT

    [ https://issues.apache.org/jira/browse/HIVE-16281?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15938493#comment-15938493
] 

Sean Busbey commented on HIVE-16281:
------------------------------------

IIRC, you need the compiler update because the one in the apache pom is too old.

> Upgrade master branch to JDK8
> -----------------------------
>
>                 Key: HIVE-16281
>                 URL: https://issues.apache.org/jira/browse/HIVE-16281
>             Project: Hive
>          Issue Type: New Feature
>          Components: Hive
>    Affects Versions: 2.2.0
>            Reporter: Aihua Xu
>            Assignee: Aihua Xu
>         Attachments: HIVE-16281.1.patch, HIVE-16281.2.patch
>
>
> This is to track the JDK 8 upgrade work for the master branch.
> Here are threads for the discussion:
> https://lists.apache.org/thread.html/83d8235bc9547cc94a0d689580f20db4b946876b6d0369e31ea12b51@1460158490@%3Cdev.hive.apache.org%3E
> https://lists.apache.org/thread.html/dcd57844ceac7faf8975a00d5b8b1825ab5544d94734734aedc3840e@%3Cdev.hive.apache.org%3E
> JDK7 is end of public update and some newer version of dependent libraries like jetty
require newer JDK. Seems it's reasonable to upgrade to JDK8 in 2.x.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message